## image-analyzer-dmo 3.2.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)
project(image-analyzer VERSION 3.2.5 LANGUAGES NONE)

# Additional CMake modules
list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

# CMake modules
include(GNUInstallDirs)

# Options
option(POST_INSTALL_HOOKS "Run post-install hooks" ON)

# Dependencies
find_package(IntlTool 0.21 REQUIRED)
find_package(Gettext 0.15 REQUIRED)

if(POST_INSTALL_HOOKS)
    find_program(UPDATE_DESKTOP_DATABASE_EXECUTABLE NAMES update-desktop-database)
    mark_as_advanced(UPDATE_DESKTOP_DATABASE_EXECUTABLE)
endif ()

# Installation
install(PROGRAMS src/image-analyzer DESTINATION ${CMAKE_INSTALL_BINDIR})

intltool_merge("-d" ${PROJECT_SOURCE_DIR}/po ${PROJECT_SOURCE_DIR}/data/image-analyzer.desktop.in image-analyzer.desktop)
install(FILES ${PROJECT_BINARY_DIR}/image-analyzer.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
if(POST_INSTALL_HOOKS)
    install(CODE "execute_process (COMMAND ${UPDATE_DESKTOP_DATABASE_EXECUTABLE} ${CMAKE_INSTALL_FULL_DATADIR}/applications)")
endif()

install(FILES data/image-analyzer.svg DESTINATION ${CMAKE_INSTALL_DATADIR}/pixmaps)

# Translations; we use the version provided by our FindIntlTool.cmake
# instead of the gettext version... Note: first two arguments are mandatory,
# the rest is an optional list of languages to process. If no languages
# are given, all POs are processed.
intltool_process_po_files(${PROJECT_SOURCE_DIR}/po ${PROJECT_NAME})

# *** Configuration summary ***
message(STATUS "")
message(STATUS "*** Image analyzer configuration summary ***")
message(STATUS "Installation:")
message(STATUS " install prefix: " ${CMAKE_INSTALL_PREFIX})
message(STATUS "Options:")
message(STATUS " run post-install hooks: " ${POST_INSTALL_HOOKS})
message(STATUS "")

=== debian/changelog ===
image-analyzer-dmo (3.2.5-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 18 Apr 2021 14:03:56 +0200

image-analyzer-dmo (3.2.4-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 07 Jan 2020 11:05:09 +0100

image-analyzer-dmo (3.2.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 28 Aug 2019 08:54:04 +0200

image-analyzer-dmo (3.2.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 18 Mar 2019 08:26:20 +0100

image-analyzer-dmo (3.2.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 03 Mar 2019 10:16:40 +0100

image-analyzer-dmo (3.2.0-dmo2) unstable; urgency=medium

  * Should Depends on gir1.2-mirage

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 08 Jul 2018 15:51:27 +0200

image-analyzer-dmo (3.2.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 08 Jul 2018 15:38:47 +0200

image-analyzer-dmo (3.1.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 11 Jun 2017 09:19:26 +0200

image-analyzer-dmo (3.0.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 10 Oct 2016 12:47:40 +0200

image-analyzer-dmo (3.0.0-dmo1) unstable; urgency=medium

  * Uplaod to my repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 05 Jan 2016 14:34:48 +0100

image-analyzer (3.0.0-1) debian; urgency=low

  * Initial Release. Closes: #705409

 -- Henrik Stokseth <henrik@hshq.net>  Sat, 05 Apr 2014 12:00:00 +0100

=== debian/control ===
Source: image-analyzer-dmo
Section: utils
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://cdemu.sourceforge.io/about/analyzer/
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 13), dh-sequence-python3, cmake (>= 3.7.0~)

Package: image-analyzer
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-gi, python3-matplotlib, gir1.2-mirage-3.2
Description: Mirage Image Analyzer
 Image Analyzer is a Gtk3-based utility for CD/DVD image analysis and
 manipulation, with following functionality:
  - Disc image layout visualization
  - Reading of sector data from image
  - Analysis of error correction and detection codes in sector main and
    subchannel data
  - Retrieval of disc (DVD) structures, if available
  - Visualization of disc topology (DPM) data, if available
  - Image format conversion
  - Logging facilities for debugging

=== debian/watch ===
version=4

https://github.com/cdemu/cdemu/releases \
.*image-analyzer-(.+)@ARCHIVE_EXT@

## image-analyzer-dmo 3.2.6

=== debian/changelog ===
image-analyzer-dmo (3.2.6-dmo2) unstable; urgency=medium

  * Add 'python3-numpy2-abi0 | python3-numpy-abi9' as dependency.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 28 Jan 2025 12:25:28 +0100

image-analyzer-dmo (3.2.6-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 02 Feb 2024 13:24:32 +0100

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,14 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://cdemu.sourceforge.io/about/analyzer/
-Standards-Version: 4.5.1
-Build-Depends: debhelper-compat (= 13), dh-sequence-python3, cmake (>= 3.7.0~)
+Rules-Requires-Root: no
+Standards-Version: 4.7.0
+Build-Depends: debhelper-compat (= 13), dh-sequence-python3, cmake (>= 3.7.0~),
+ intltool, dh-sequence-numpy3, python3-dev,
 
 Package: image-analyzer
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends}, python3-gi, python3-matplotlib, gir1.2-mirage-3.2
+Depends: ${python3:Depends}, ${misc:Depends}, python3-numpy2-abi0 | python3-numpy-abi9, python3:any, python3-gi, python3-matplotlib, gir1.2-mirage-3.2,
 Description: Mirage Image Analyzer
  Image Analyzer is a Gtk3-based utility for CD/DVD image analysis and
  manipulation, with following functionality:

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Scmake

override_dh_auto_configure:
	dh_auto_configure -- \
	-DPOST_INSTALL_HOOKS:BOOL=OFF

## image-analyzer-dmo 3.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
-cmake_minimum_required(VERSION 3.7)
-project(image-analyzer VERSION 3.2.5 LANGUAGES NONE)
+cmake_minimum_required(VERSION 3.16)
+project(image-analyzer VERSION 3.3.0 LANGUAGES NONE)
 
 # Additional CMake modules
 list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

=== debian/changelog ===
image-analyzer-dmo (3.3.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 15 Feb 2026 16:57:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,9 @@
 Source: image-analyzer-dmo
 Section: utils
-Priority: optional
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://cdemu.sourceforge.io/about/analyzer/
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Build-Depends: debhelper-compat (= 13), dh-sequence-python3, cmake (>= 3.7.0~),
  intltool, dh-sequence-numpy3, python3-dev,

=== debian/watch ===
version=4

https://github.com/cdemu/cdemu/tags \
.*image-analyzer-@ANY_VERSION@@ARCHIVE_EXT@
